<?php
use WpBookingHotel\Factory as FactoryAlias;
use WpBookingHotel\Html\WpBookingHotelHtmlFrontend as WpBookingHotelHtmlFrontendAlias;

use WpBookingHotelBlock\block_top_destinations_hotel\block_top_destinations_hotel_helper;
use WpBookingHotelFrontend\app\helpers\ConfigHelper as ConfigHelperAlias;


$params=$this->item->params;
$filter_by_country=$params->get('filter_by_country',array());
$list_location = block_top_destinations_hotel_helper::getTopDestination($filter_by_country);


$layout = $this->item->params->get('layout', 'default');
$plugin_name=WPBOOKINGHOTEL_PLUGIN_NAME;
$template_path=get_template_directory();
$block_name= basename(__DIR__);
$layout_name="tmpl/$layout.php";
$template1_path="$template_path/$plugin_name/blocks/$block_name/$layout_name";
$template2_path= __DIR__ . "/tmpl/$layout.php";
if(file_exists($template1_path)){
    require $template1_path;
}else{
    require $template2_path;
}

?>